Subject: Re: Gnome shell crashes, segfaults in dmesg

From: Noé Lopez <[email-masked]>
Date: Sun, 23 Mar 2025 15:40:31 +0100

Hi,

I found more info, firstly the crash’s backtrace with some debug info:

(gdb) bt
#0  0x0000000000405f41 in usb_protection_proxy_ready (source_object=0x39b3a050, res=0x39b3a120, user_data=0x39b0e500) at ../gnome-settings-daemon-47.2/plugins/usb-protection/gsd-usb-protection-manager.c:1093
#1  0x00007fbd8c745033 in ?? () from /gnu/store/fx3rva8gyg2y43v8v206aazlh6hyxv7d-glib-2.82.1/lib/libgio-2.0.so.0
[…]
#14 0x00007fbd8c53c327 in ?? () from /gnu/store/fx3rva8gyg2y43v8v206aazlh6hyxv7d-glib-2.82.1/lib/libglib-2.0.so.0
#15 0x00007fbd8c53cc23 in g_main_loop_run () from /gnu/store/fx3rva8gyg2y43v8v206aazlh6hyxv7d-glib-2.82.1/lib/libglib-2.0.so.0
#16 0x0000000000406f0e in main (argc=1, argv=0x7ffdb34b17a8) at ../gnome-settings-daemon-47.2/plugins/common/daemon-skeleton.h:256

This is the line causing the crash[1]:
     g_warning ("Failed to connect to screensaver service: %s", error->message);

This checks out with what I’ve seen online, a bug report that says crash
when error->message is NULL [2].  Though I wonder why the screensaver is
down? Might be another issue that can fix this one for us.

Maxim, can you look into why the screensaver proxy is unreachable? In
the meanwhile I’ll look into this specific crash upstream.

As an immediate fix we can apply the fix in [3] to the
gnome-settings-daemon package.

What do you think?
Noé

[1] https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/blob/47.2/plugins/usb-protection/gsd-usb-protection-manager.c?ref_type=tags#L1093
[2] https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/issues/792
[3] https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/issues/792#note_2088259